Index: pykota/trunk/po/zh_TW/pykota.po
===================================================================
--- pykota/trunk/po/zh_TW/pykota.po (revision 2043)
+++ pykota/trunk/po/zh_TW/pykota.po (revision 2054)
@@ -28,5 +28,5 @@
 "Project-Id-Version: PyKota v1.20\n"
 "Report-Msgid-Bugs-To: alet@librelogiciel.com\n"
-"POT-Creation-Date: 2005-01-25 09:03+0800\n"
+"POT-Creation-Date: 2004-11-25 10:16+0100\n"
 "PO-Revision-Date: 2005-01-25 09:03+0800\n"
 "Last-Translator: Tsang Yu Pong, Teddy, Wing Kwong College in Hong Kong,"
@@ -39,5 +39,6 @@
 #, python-format
 msgid ""
-"pkbanner v%s (c) 2003, 2004, 2005 C@LL - Conseil Internet & Logiciels Libres\n"
+"pkbanner v%s (c) 2003, 2004, 2005 C@LL - Conseil Internet & Logiciels "
+"Libres\n"
 "\n"
 "Generates banners.\n"
@@ -292,5 +293,6 @@
 #, python-format
 msgid ""
-"pkprinters v%s (c) 2003, 2004, 2005 C@LL - Conseil Internet & Logiciels Libres\n"
+"pkprinters v%s (c) 2003, 2004, 2005 C@LL - Conseil Internet & Logiciels "
+"Libres\n"
 "A Printers Manager for PyKota.\n"
 "\n"
@@ -360,5 +362,5 @@
 "  $ pkprinters --delete \"*\"\n"
 "  \n"
-"This will completely delete all printers and associated quota "
+"  This will completely delete all printers and associated quota "
 "information,\n"
 "  as well as their job history. USE WITH CARE !\n"
@@ -589,5 +591,6 @@
 #, python-format
 msgid ""
-"autopykota v%s (c) 2003, 2004, 2005 C@LL - Conseil Internet & Logiciels Libres\n"
+"autopykota v%s (c) 2003, 2004, 2005 C@LL - Conseil Internet & Logiciels "
+"Libres\n"
 "A tool to automate user account creation and initial balance setting.\n"
 "\n"
@@ -664,5 +667,6 @@
 #, python-format
 msgid ""
-"dumpykota v%s (c) 2003, 2004, 2005 C@LL - Conseil Internet & Logiciels Libres\n"
+"dumpykota v%s (c) 2003, 2004, 2005 C@LL - Conseil Internet & Logiciels "
+"Libres\n"
 "\n"
 "Dumps PyKota database's content.\n"
@@ -757,5 +761,6 @@
 #, python-format
 msgid ""
-"edpykota v%s (c) 2003, 2004, 2005 C@LL - Conseil Internet & Logiciels Libres\n"
+"edpykota v%s (c) 2003, 2004, 2005 C@LL - Conseil Internet & Logiciels "
+"Libres\n"
 "A Print Quota editor for PyKota.\n"
 "\n"
@@ -1014,5 +1019,6 @@
 #, python-format
 msgid ""
-"repykota v%s (c) 2003, 2004, 2005 C@LL - Conseil Internet & Logiciels Libres\n"
+"repykota v%s (c) 2003, 2004, 2005 C@LL - Conseil Internet & Logiciels "
+"Libres\n"
 "\n"
 "Generates print quota reports.\n"
@@ -1078,5 +1084,6 @@
 #, python-format
 msgid ""
-"warnpykota v%s (c) 2003, 2004, 2005 C@LL - Conseil Internet & Logiciels Libres\n"
+"warnpykota v%s (c) 2003, 2004, 2005 C@LL - Conseil Internet & Logiciels "
+"Libres\n"
 "\n"
 "Sends mail to users over print quota.\n"
@@ -1255,7 +1262,6 @@
 "paid"
 msgstr ""
-"群組           已列印    警告限制    有效限制    結餘 寬限日期        付款總計       "
-"已繳付"
-
+"群組           已列印    警告限制    有效限制    結餘 寬限日期        付款總"
+"計       已繳付"
 
 msgid ""
@@ -1263,6 +1269,6 @@
 "paid"
 msgstr ""
-"群組           已列印    警告限制    有效限制    結餘 寬限日期         付款總計       "
-"已繳付"
+"群組           已列印    警告限制    有效限制    結餘 寬限日期         付款總"
+"計       已繳付"
 
 msgid "unknown"
@@ -1314,7 +1320,5 @@
 "Unable to find user %s's account balance, applying default policy (%s) for "
 "printer %s"
-msgstr ""
-"未能尋找使用者 %s 的帳目結算，因此採用預設的政策(%s)於"
-"列印機 %s"
+msgstr "未能尋找使用者 %s 的帳目結算，因此採用預設的政策(%s)於列印機 %s"
 
 #, python-format
@@ -1336,6 +1340,4 @@
 msgstr "使用者 %s 的列印配額於列印機 %s 經已超出配額"
 
-#, python
-
 #, python-format
 msgid "Print Quota low for user %s on printer %s"
@@ -1345,5 +1347,4 @@
 msgstr "列印配額經已很低"
 
-
 #, python-format
 msgid "Printing system %s, args=%s"
@@ -1374,6 +1375,5 @@
 "s) for printer %s"
 msgstr ""
-"列印機 %s 在PyKota系統內沒有登記，因此這台列印機"
-"套用external policy (%s) "
+"列印機 %s 在PyKota系統內沒有登記，因此這台列印機套用external policy (%s) "
 
 #, python-format
@@ -1382,6 +1382,6 @@
 "for printer %s"
 msgstr ""
-"使用者 %s 在PyKota內沒有登記，因此這個使用者將會套用external policy(%s) "
-"於列印機 %s "
+"使用者 %s 在PyKota內沒有登記，因此這個使用者將會套用external policy(%s) 於列"
+"印機 %s "
 
 #, python-format
@@ -1389,7 +1389,5 @@
 "User %s doesn't have quota on printer %s in the PyKota system, applying "
 "external policy (%s) for printer %s"
-msgstr ""
-"使用者沒有列印配額於列印機 %s ，套用對外政策 (%s)"
-" 於列印機 %s"
+msgstr "使用者沒有列印配額於列印機 %s ，套用對外政策 (%s) 於列印機 %s"
 
 #, python-format
@@ -1397,12 +1395,10 @@
 "External policy %s for printer %s produced an error. Job rejected. Please "
 "check PyKota's configuration files."
-msgstr ""
-"對外政策 %s 於列印機 %s 產生錯誤，列印工作被拒，請撿查PyKota的設定檔案"
+msgstr "對外政策 %s 於列印機 %s 產生錯誤，列印工作被拒，請撿查PyKota的設定檔案"
 
 #, python-format
 msgid ""
 "Printer %s not registered in the PyKota system, applying default policy (%s)"
-msgstr ""
-"列印機 %s 沒有於PyKota系統內登記，套用預設的政策 (%s)"
+msgstr "列印機 %s 沒有於PyKota系統內登記，套用預設的政策 (%s)"
 
 #, python-format
@@ -1410,7 +1406,5 @@
 "User %s not registered in the PyKota system, applying default policy (%s) "
 "for printer %s"
-msgstr ""
-"使用者 %s 沒有於PyKota系統內登記，套用預設的政策 (%s)"
-"於列印機 %s"
+msgstr "使用者 %s 沒有於PyKota系統內登記，套用預設的政策 (%s)於列印機 %s"
 
 #, python-format
@@ -1418,12 +1412,10 @@
 "User %s doesn't have quota on printer %s in the PyKota system, applying "
 "default policy (%s)"
-msgstr ""
-"使用者 %s 沒有列印配額於列印機 %s，套用預設的政策 (%s)"
+msgstr "使用者 %s 沒有列印配額於列印機 %s，套用預設的政策 (%s)"
 
 #, python-format
 msgid ""
 "Printer %s still not registered in the PyKota system, job will be rejected"
-msgstr ""
-"列印機 %s 依然沒有於PyKota系統內登記，列印工作要求被拒"
+msgstr "列印機 %s 依然沒有於PyKota系統內登記，列印工作要求被拒"
 
 #, python-format
@@ -1431,7 +1423,5 @@
 "User %s still not registered in the PyKota system, job will be rejected on "
 "printer %s"
-msgstr ""
-"使用者 %s 依然沒有於PyKota系統內登記，列印工作要求被拒於"
-"列印機 %s"
+msgstr "使用者 %s 依然沒有於PyKota系統內登記，列印工作要求被拒於列印機 %s"
 
 #, python-format
@@ -1439,6 +1429,5 @@
 "User %s still doesn't have quota on printer %s in the PyKota system, job "
 "will be rejected"
-msgstr ""
-"使用者 %s 依然沒有列印配額於列印機 %s 在PyKota系統，列印工作被拒"
+msgstr "使用者 %s 依然沒有列印配額於列印機 %s 在PyKota系統，列印工作被拒"
 
 #, python-format
@@ -1482,6 +1471,5 @@
 "Couldn't retrieve printer %s's internal page counter either before or after "
 "printing."
-msgstr ""
-"不能恢復列印機 %s 的內存頁面計算器不論在列印的之前或之後"
+msgstr "不能恢復列印機 %s 的內存頁面計算器不論在列印的之前或之後"
 
 #, python-format
@@ -1501,6 +1489,6 @@
 "download it from http://pysnmp.sourceforge.net"
 msgstr ""
-"要求內存的SNMP計算器，但找不到Python-SNMP"
-"請到http://pysnmp.sourceforge.net下載"
+"要求內存的SNMP計算器，但找不到Python-SNMP請到http://pysnmp.sourceforge.net下"
+"載"
 
 #, python-format
@@ -1532,7 +1520,5 @@
 "SNMP querying stage interrupted. Using latest value seen for internal page "
 "counter (%s) on printer %s."
-msgstr ""
-"SNMP查詢被中斷，使用最更新的數值來計算頁數"
-"計算器 (%s) 在列印機 %s 上"
+msgstr "SNMP查詢被中斷，使用最更新的數值來計算頁數計算器 (%s) 在列印機 %s 上"
 
 #, python-format
@@ -1540,7 +1526,5 @@
 "PJL querying stage interrupted. Using latest value seen for internal page "
 "counter (%s) on printer %s."
-msgstr ""
-"PJL查詢被中斷，使用最更新的數值來計算頁數"
-"計算器 (%s) 在列印機 %s 上"
+msgstr "PJL查詢被中斷，使用最更新的數值來計算頁數計算器 (%s) 在列印機 %s 上"
 
 #, python-format
@@ -1567,7 +1551,5 @@
 "Search base %s doesn't seem to exist. Probable misconfiguration. Please "
 "double check /etc/pykota/pykota.conf : %s"
-msgstr ""
-"%s 不存在，很可能是錯誤設定所致"
-"請撿查 /etc/pykota/pykota.conf : %s"
+msgstr "%s 不存在，很可能是錯誤設定所致請撿查 /etc/pykota/pykota.conf : %s"
 
 #, python-format
@@ -1591,5 +1573,7 @@
 "No pykotaAccountBalance object found for user %s. Did you create LDAP "
 "entries manually ?"
-msgstr "未能為使用者 %s 尋找pkotaAccountBalance object，請問你是否已手動建立LDAP 紀錄?  "
+msgstr ""
+"未能為使用者 %s 尋找pkotaAccountBalance object，請問你是否已手動建立LDAP 紀"
+"錄?  "
 
 #, python-format
@@ -1597,6 +1581,6 @@
 "Unable to find an existing objectClass %s entry with %s=%s to attach "
 "pykotaAccount objectClass"
-msgstr "未能尋找現存的objectclass %s 紀錄帶有 %s=%s"
-" 連繫到pykotaAccount objectClass "
+msgstr ""
+"未能尋找現存的objectclass %s 紀錄帶有 %s=%s 連繫到pykotaAccount objectClass "
 
 #, python-format