Index: pykota/trunk/man/sv_SE/autopykota.1
===================================================================
--- pykota/trunk/man/sv_SE/autopykota.1 (revision 1894)
+++ pykota/trunk/man/sv_SE/autopykota.1 (revision 2086)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.33.
-.TH AUTOPYKOTA "1" "november 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.TH AUTOPYKOTA "1" "februari 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-autopykota \- manual page for autopykota 1.20_unofficial
+autopykota \- manual page for autopykota 1.21alpha27_unofficial
 .SH DESCRIPTION
-autopykota v1.20_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+autopykota v1.21alpha27_unofficial (c) 2003, 2004, 2005 C@LL \- Conseil Internet & Logiciels Libres
 A tool to automate user account creation and initial balance setting.
 .PP
@@ -40,5 +40,5 @@
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
+Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111\-1307, USA.
 .PP
-Please e-mail bugs to: Jerome Alet - alet@librelogiciel.com
+Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/sv_SE/edpykota.1
===================================================================
--- pykota/trunk/man/sv_SE/edpykota.1 (revision 1894)
+++ pykota/trunk/man/sv_SE/edpykota.1 (revision 2086)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.33.
-.TH EDPYKOTA "1" "november 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.TH EDPYKOTA "1" "februari 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-edpykota \- manual page for edpykota 1.20_unofficial
+edpykota \- manual page for edpykota 1.21alpha27_unofficial
 .SH DESCRIPTION
-edpykota v1.20_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+edpykota v1.21alpha27_unofficial (c) 2003, 2004, 2005 C@LL \- Conseil Internet & Logiciels Libres
 A Print Quota editor for PyKota.
 .PP
@@ -34,4 +34,15 @@
 If both are to be set, separate them with a comma.
 Floating point values are allowed.
+.TP
+\fB\-o\fR | \fB\-\-overcharge\fR f
+Sets the overcharging factor applied to the user
+when computing the cost of a print job. Positive or
+negative floating point values are allowed,
+this allows you to do some really creative
+things like giving money to an user whenever
+he prints. The number of pages in a print job
+is not modified by this coefficient, only the
+cost of the job for a particular user.
+Only users have a coefficient.
 .TP
 \fB\-i\fR | \fB\-\-ingroups\fR g1[,g2...]
@@ -80,5 +91,5 @@
 Resets the actual and life time page counters
 for the user or group to zero on the specified
-printers.
+printers. This is a shortcut for '\-\-used 0'.
 .TP
 \fB\-l\fR | \fB\-\-limitby\fR l
@@ -86,7 +97,7 @@
 by its account balance or by its page quota.
 The default value is 'quota'. Allowed values
-are 'quota' 'balance' 'quota-then-balance' and
-\&'balance-then-quota'.
-WARNING : quota-then-balance and balance-then-quota
+are 'quota' 'balance' 'quota\-then\-balance' and
+\&'balance\-then\-quota'.
+WARNING : quota\-then\-balance and balance\-then\-quota
 are not yet implemented.
 .TP
@@ -94,5 +105,5 @@
 Sets the user's account balance to b.
 Account balance may be increase or decreased
-if b is prefixed with + or -.
+if b is prefixed with + or \-.
 WARNING : when decreasing account balance,
 the total paid so far by the user is decreased
@@ -106,4 +117,15 @@
 \fB\-H\fR | \fB\-\-hardlimit\fR hl
 Sets the quota hard limit to hl pages.
+.TP
+\fB\-U\fR | \fB\-\-used\fR usage
+Sets the pagecounters for the user to usage pages;
+useful for migrating users from a different system
+where they have already used some pages. Actual
+and Life Time page counters may be increased or decreased
+if usage is prefixed with + or \-.
+WARNING : BOTH page counters are modified in all cases,
+so be careful.
+NB : if 'usage' equals '0', then the action taken is
+the same as if \fB\-\-hardreset\fR was used.
 .IP
 user1 through userN and group1 through groupN can use wildcards
@@ -178,4 +200,18 @@
 When printing either on hplj1 or hplj2, print quota will also be
 checked and accounted for on virtual printers Laser and HP.
+.IP
+\f(CW$ edpykota --overcharge 2.5 poorstudent\fR
+.IP
+This will overcharge the poorstudent user by a factor of 2.5.
+.IP
+\f(CW$ edpykota --overcharge -1 jerome\fR
+.IP
+User jerome will actually earn money whenever he prints.
+.IP
+\f(CW$ edpykota --overcharge 0 boss\fR
+.IP
+User boss can print at will, it won't cost him anything because the
+cost of each print job will be multiplied by zero before charging
+his account.
 .PP
 This program is free software; you can redistribute it and/or modify
@@ -191,5 +227,5 @@
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
-.PP
-Please e-mail bugs to: Jerome Alet - alet@librelogiciel.com
+Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111\-1307, USA.
+.PP
+Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/sv_SE/pkbanner.1
===================================================================
--- pykota/trunk/man/sv_SE/pkbanner.1 (revision 1939)
+++ pykota/trunk/man/sv_SE/pkbanner.1 (revision 2086)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.33.
-.TH PKBANNER "1" "november 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.TH PKBANNER "1" "februari 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-pkbanner \- manual page for pkbanner 1.21alpha5_unofficial
+pkbanner \- manual page for pkbanner 1.21alpha27_unofficial
 .SH DESCRIPTION
-pkbanner v1.21alpha5_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pkbanner v1.21alpha27_unofficial (c) 2003, 2004, 2005 C@LL \- Conseil Internet & Logiciels Libres
 .PP
 Generates banners.
@@ -69,5 +69,5 @@
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
+Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111\-1307, USA.
 .PP
-Please e-mail bugs to: Jerome Alet - alet@librelogiciel.com
+Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/sv_SE/pkprinters.1
===================================================================
--- pykota/trunk/man/sv_SE/pkprinters.1 (revision 1894)
+++ pykota/trunk/man/sv_SE/pkprinters.1 (revision 2086)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.33.
-.TH PKPRINTERS "1" "november 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.TH PKPRINTERS "1" "februari 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-pkprinters \- manual page for pkprinters 1.20_unofficial
+pkprinters \- manual page for pkprinters 1.21alpha27_unofficial
 .SH DESCRIPTION
-pkprinters v1.20_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pkprinters v1.21alpha27_unofficial (c) 2003, 2004, 2005 C@LL \- Conseil Internet & Logiciels Libres
 A Printers Manager for PyKota.
 .PP
@@ -22,5 +22,5 @@
 Adds printers if they don't exist on the Quota
 Storage Server. If they exist, they are modified
-unless \fB\-s\fR|--skipexisting is also used.
+unless \fB\-s\fR|\-\-skipexisting is also used.
 .TP
 \fB\-d\fR | \fB\-\-delete\fR
@@ -75,5 +75,5 @@
 All of their descriptions will be set to the string "HP Printer".
 If any of these printers already exists, it will also be modified
-unless the \fB\-s\fR|--skipexisting command line option is also used.
+unless the \fB\-s\fR|\-\-skipexisting command line option is also used.
 .IP
 \f(CW$ pkprinters --delete "*"\fR
@@ -103,5 +103,5 @@
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
+Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111\-1307, USA.
 .PP
-Please e-mail bugs to: Jerome Alet - alet@librelogiciel.com
+Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/sv_SE/pykotme.1
===================================================================
--- pykota/trunk/man/sv_SE/pykotme.1 (revision 1894)
+++ pykota/trunk/man/sv_SE/pykotme.1 (revision 2086)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.33.
-.TH PYKOTME "1" "november 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.TH PYKOTME "1" "februari 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-pykotme \- manual page for pykotme 1.20_unofficial
+pykotme \- manual page for pykotme 1.21alpha27_unofficial
 .SH DESCRIPTION
-pykotme v1.20_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pykotme v1.21alpha27_unofficial (c) 2003, 2004, 2005 C@LL \- Conseil Internet & Logiciels Libres
 .PP
 Gives print quotes to users.
@@ -62,5 +62,5 @@
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
+Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111\-1307, USA.
 .PP
-Please e-mail bugs to: Jerome Alet - alet@librelogiciel.com
+Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/sv_SE/pykosd.1
===================================================================
--- pykota/trunk/man/sv_SE/pykosd.1 (revision 1894)
+++ pykota/trunk/man/sv_SE/pykosd.1 (revision 2086)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.33.
-.TH PYKOSD "1" "november 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.TH PYKOSD "1" "februari 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-pykosd \- manual page for pykosd 1.20_unofficial
+pykosd \- manual page for pykosd 1.21alpha27_unofficial
 .SH DESCRIPTION
-pykosd v1.20_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pykosd v1.21alpha27_unofficial (c) 2003, 2004, 2005 C@LL \- Conseil Internet & Logiciels Libres
 An OSD quota monitor for PyKota.
 .PP
@@ -59,5 +59,5 @@
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
+Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111\-1307, USA.
 .PP
-Please e-mail bugs to: Jerome Alet - alet@librelogiciel.com
+Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/sv_SE/dumpykota.1
===================================================================
--- pykota/trunk/man/sv_SE/dumpykota.1 (revision 1894)
+++ pykota/trunk/man/sv_SE/dumpykota.1 (revision 2086)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.33.
-.TH DUMPYKOTA "1" "november 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.TH DUMPYKOTA "1" "februari 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-dumpykota \- manual page for dumpykota 1.20_unofficial
+dumpykota \- manual page for dumpykota 1.21alpha27_unofficial
 .SH DESCRIPTION
-dumpykota v1.20_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+dumpykota v1.21alpha27_unofficial (c) 2003, 2004, 2005 C@LL \- Conseil Internet & Logiciels Libres
 .PP
 Dumps PyKota database's content.
@@ -10,5 +10,5 @@
 command line usage :
 .IP
-dumpykota [options]
+dumpykota [options] [filterexpr]
 .PP
 options :
@@ -23,13 +23,13 @@
 Dumps 'type' datas. Allowed types are :
 .IP
-- history : dumps the jobs history.
-- users : dumps users.
-- groups : dumps user groups.
-- printers : dump printers.
-- upquotas : dump user quotas.
-- gpquotas : dump user groups quotas.
-- payments : dumps user payments.
-- pmembers : dumps printer groups members.
-- umembers : dumps user groups members.
+\- history : dumps the jobs history.
+\- users : dumps users.
+\- groups : dumps user groups.
+\- printers : dump printers.
+\- upquotas : dump user quotas.
+\- gpquotas : dump user groups quotas.
+\- payments : dumps user payments.
+\- pmembers : dumps printer groups members.
+\- umembers : dumps user groups members.
 .IP
 NB : the \fB\-d\fR | \fB\-\-data\fR command line option
@@ -42,14 +42,42 @@
 quotes. Allowed formats are :
 .IP
-- csv : separate datas with commas
-- ssv : separate datas with semicolons
-- tsv : separate datas with tabs
-- xml : dump data as XML
+\- csv : separate datas with commas
+\- ssv : separate datas with semicolons
+\- tsv : separate datas with tabs
+\- xml : dump data as XML
+\- cups : dump datas in CUPS' page_log format :
+.IP
+ONLY AVAILABLE WITH \fB\-\-data\fR history
 .TP
 \fB\-o\fR | \fB\-\-output\fR fname
 All datas will be dumped to the file instead of
-to the standard output. The special '-' filename
+to the standard output. The special '\-' filename
 is the default value and means stdout.
 WARNING : existing files are truncated !
+.IP
+Use the filter expressions to extract only parts of the
+datas. Allowed filters are of the form :
+.IP
+key=value
+.IP
+Allowed keys for now are :
+.TP
+username
+User's name
+.TP
+groupname
+Users group's name
+.TP
+printername
+Printer's name
+.TP
+pgroupname
+Printers group's name
+.IP
+Contrary to other PyKota management tools, wildcard characters are not
+expanded, so you can't use them.
+.IP
+NB : not all keys are allowed for each data type, so the result may be
+empty if you use a key not available for a particular data type.
 .PP
 Examples :
@@ -63,4 +91,8 @@
 .IP
 Dumps all users datas to the users.xml file.
+.IP
+\f(CW$ dumpykota --data history printername=HP2100 username=jerome\fR
+.IP
+Dumps the job history for user jerome on printer HP2100 only.
 .PP
 This program is free software; you can redistribute it and/or modify
@@ -76,5 +108,5 @@
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
+Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111\-1307, USA.
 .PP
-Please e-mail bugs to: Jerome Alet - alet@librelogiciel.com
+Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/sv_SE/pkhint.1
===================================================================
--- pykota/trunk/man/sv_SE/pkhint.1 (revision 1894)
+++ pykota/trunk/man/sv_SE/pkhint.1 (revision 2086)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.33.
-.TH PKHINT "1" "november 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.TH PKHINT "1" "februari 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-pkhint \- manual page for pkhint 1.20_unofficial
+pkhint \- manual page for pkhint 1.21alpha27_unofficial
 .SH DESCRIPTION
-pkhint v1.20_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pkhint v1.21alpha27_unofficial (c) 2003, 2004, 2005 C@LL \- Conseil Internet & Logiciels Libres
 A tool to give hints on what accounting method is best for each printer.
 .PP
@@ -42,5 +42,5 @@
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
+Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111\-1307, USA.
 .PP
-Please e-mail bugs to: Jerome Alet - alet@librelogiciel.com
+Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/sv_SE/repykota.1
===================================================================
--- pykota/trunk/man/sv_SE/repykota.1 (revision 1894)
+++ pykota/trunk/man/sv_SE/repykota.1 (revision 2086)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.33.
-.TH REPYKOTA "1" "november 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.TH REPYKOTA "1" "februari 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-repykota \- manual page for repykota 1.20_unofficial
+repykota \- manual page for repykota 1.21alpha27_unofficial
 .SH DESCRIPTION
-repykota v1.20_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+repykota v1.21alpha27_unofficial (c) 2003, 2004, 2005 C@LL \- Conseil Internet & Logiciels Libres
 .PP
 Generates print quota reports.
@@ -67,5 +67,5 @@
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
+Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111\-1307, USA.
 .PP
-Please e-mail bugs to: Jerome Alet - alet@librelogiciel.com
+Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/sv_SE/warnpykota.1
===================================================================
--- pykota/trunk/man/sv_SE/warnpykota.1 (revision 1894)
+++ pykota/trunk/man/sv_SE/warnpykota.1 (revision 2086)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.33.
-.TH WARNPYKOTA "1" "november 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.TH WARNPYKOTA "1" "februari 2005" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-warnpykota \- manual page for warnpykota 1.20_unofficial
+warnpykota \- manual page for warnpykota 1.21alpha27_unofficial
 .SH DESCRIPTION
-warnpykota v1.20_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+warnpykota v1.21alpha27_unofficial (c) 2003, 2004, 2005 C@LL \- Conseil Internet & Logiciels Libres
 .PP
 Sends mail to users over print quota.
@@ -72,5 +72,5 @@
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
+Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111\-1307, USA.
 .PP
-Please e-mail bugs to: Jerome Alet - alet@librelogiciel.com
+Please e\-mail bugs to: Jerome Alet \- alet@librelogiciel.com