Index: pykota/trunk/po/sv_SE/pykota.po
===================================================================
--- pykota/trunk/po/sv_SE/pykota.po (revision 2076)
+++ pykota/trunk/po/sv_SE/pykota.po (revision 2092)
@@ -1565,5 +1565,5 @@
 "  \n"
 "  NB : For pkmail to work correctly, you may have to put the 'mail'\n"
-"  system user in the 'lpadmin' system group to ensure this user can\n"
+"  system user in the 'pykota' system group to ensure this user can\n"
 "  read the /etc/pykota/pykotadmin.conf file, and restart your\n"
 "  mail server (e.g. /etc/init.d/exim restart). It is strongly advised\n"
Index: pykota/trunk/po/pt/pykota.po
===================================================================
--- pykota/trunk/po/pt/pykota.po (revision 2081)
+++ pykota/trunk/po/pt/pykota.po (revision 2092)
@@ -1580,5 +1580,5 @@
 "  \n"
 "  NB : For pkmail to work correctly, you may have to put the 'mail'\n"
-"  system user in the 'lpadmin' system group to ensure this user can\n"
+"  system user in the 'pykota' system group to ensure this user can\n"
 "  read the /etc/pykota/pykotadmin.conf file, and restart your\n"
 "  mail server (e.g. /etc/init.d/exim restart). It is strongly advised\n"
Index: pykota/trunk/po/tr/pykota.po
===================================================================
--- pykota/trunk/po/tr/pykota.po (revision 2084)
+++ pykota/trunk/po/tr/pykota.po (revision 2092)
@@ -1801,5 +1801,5 @@
 "  \n"
 "  NB : For pkmail to work correctly, you may have to put the 'mail'\n"
-"  system user in the 'lpadmin' system group to ensure this user can\n"
+"  system user in the 'pykota' system group to ensure this user can\n"
 "  read the /etc/pykota/pykotadmin.conf file, and restart your\n"
 "  mail server (e.g. /etc/init.d/exim restart). It is strongly advised\n"
Index: pykota/trunk/po/pt_BR/pykota.po
===================================================================
--- pykota/trunk/po/pt_BR/pykota.po (revision 2076)
+++ pykota/trunk/po/pt_BR/pykota.po (revision 2092)
@@ -1572,5 +1572,5 @@
 "  \n"
 "  NB : For pkmail to work correctly, you may have to put the 'mail'\n"
-"  system user in the 'lpadmin' system group to ensure this user can\n"
+"  system user in the 'pykota' system group to ensure this user can\n"
 "  read the /etc/pykota/pykotadmin.conf file, and restart your\n"
 "  mail server (e.g. /etc/init.d/exim restart). It is strongly advised\n"
Index: pykota/trunk/po/es/pykota.po
===================================================================
--- pykota/trunk/po/es/pykota.po (revision 2079)
+++ pykota/trunk/po/es/pykota.po (revision 2092)
@@ -1827,5 +1827,5 @@
 "  \n"
 "  NB : For pkmail to work correctly, you may have to put the 'mail'\n"
-"  system user in the 'lpadmin' system group to ensure this user can\n"
+"  system user in the 'pykota' system group to ensure this user can\n"
 "  read the /etc/pykota/pykotadmin.conf file, and restart your\n"
 "  mail server (e.g. /etc/init.d/exim restart). It is strongly advised\n"
Index: pykota/trunk/po/fr/pykota.po
===================================================================
--- pykota/trunk/po/fr/pykota.po (revision 2077)
+++ pykota/trunk/po/fr/pykota.po (revision 2092)
@@ -1814,5 +1814,5 @@
 "  \n"
 "  NB : For pkmail to work correctly, you may have to put the 'mail'\n"
-"  system user in the 'lpadmin' system group to ensure this user can\n"
+"  system user in the 'pykota' system group to ensure this user can\n"
 "  read the /etc/pykota/pykotadmin.conf file, and restart your\n"
 "  mail server (e.g. /etc/init.d/exim restart). It is strongly advised\n"
Index: pykota/trunk/po/de/pykota.po
===================================================================
--- pykota/trunk/po/de/pykota.po (revision 2079)
+++ pykota/trunk/po/de/pykota.po (revision 2092)
@@ -1802,5 +1802,5 @@
 "  \n"
 "  NB : For pkmail to work correctly, you may have to put the 'mail'\n"
-"  system user in the 'lpadmin' system group to ensure this user can\n"
+"  system user in the 'pykota' system group to ensure this user can\n"
 "  read the /etc/pykota/pykotadmin.conf file, and restart your\n"
 "  mail server (e.g. /etc/init.d/exim restart). It is strongly advised\n"
Index: pykota/trunk/po/el_GR/pykota.po
===================================================================
--- pykota/trunk/po/el_GR/pykota.po (revision 2076)
+++ pykota/trunk/po/el_GR/pykota.po (revision 2092)
@@ -1781,5 +1781,5 @@
 "  \n"
 "  NB : For pkmail to work correctly, you may have to put the 'mail'\n"
-"  system user in the 'lpadmin' system group to ensure this user can\n"
+"  system user in the 'pykota' system group to ensure this user can\n"
 "  read the /etc/pykota/pykotadmin.conf file, and restart your\n"
 "  mail server (e.g. /etc/init.d/exim restart). It is strongly advised\n"
Index: pykota/trunk/po/pykota.pot
===================================================================
--- pykota/trunk/po/pykota.pot (revision 2076)
+++ pykota/trunk/po/pykota.pot (revision 2092)
@@ -1518,5 +1518,5 @@
 "  \n"
 "  NB : For pkmail to work correctly, you may have to put the 'mail'\n"
-"  system user in the 'lpadmin' system group to ensure this user can\n"
+"  system user in the 'pykota' system group to ensure this user can\n"
 "  read the /etc/pykota/pykotadmin.conf file, and restart your\n"
 "  mail server (e.g. /etc/init.d/exim restart). It is strongly advised\n"
Index: pykota/trunk/po/nb_NO/pykota.po
===================================================================
--- pykota/trunk/po/nb_NO/pykota.po (revision 2076)
+++ pykota/trunk/po/nb_NO/pykota.po (revision 2092)
@@ -1696,5 +1696,5 @@
 "  \n"
 "  NB : For pkmail to work correctly, you may have to put the 'mail'\n"
-"  system user in the 'lpadmin' system group to ensure this user can\n"
+"  system user in the 'pykota' system group to ensure this user can\n"
 "  read the /etc/pykota/pykotadmin.conf file, and restart your\n"
 "  mail server (e.g. /etc/init.d/exim restart). It is strongly advised\n"
Index: pykota/trunk/po/th/pykota.po
===================================================================
--- pykota/trunk/po/th/pykota.po (revision 2084)
+++ pykota/trunk/po/th/pykota.po (revision 2092)
@@ -1548,5 +1548,5 @@
 "  \n"
 "  NB : For pkmail to work correctly, you may have to put the 'mail'\n"
-"  system user in the 'lpadmin' system group to ensure this user can\n"
+"  system user in the 'pykota' system group to ensure this user can\n"
 "  read the /etc/pykota/pykotadmin.conf file, and restart your\n"
 "  mail server (e.g. /etc/init.d/exim restart). It is strongly advised\n"
Index: pykota/trunk/po/zh_TW/pykota.po
===================================================================
--- pykota/trunk/po/zh_TW/pykota.po (revision 2076)
+++ pykota/trunk/po/zh_TW/pykota.po (revision 2092)
@@ -1542,5 +1542,5 @@
 "  \n"
 "  NB : For pkmail to work correctly, you may have to put the 'mail'\n"
-"  system user in the 'lpadmin' system group to ensure this user can\n"
+"  system user in the 'pykota' system group to ensure this user can\n"
 "  read the /etc/pykota/pykotadmin.conf file, and restart your\n"
 "  mail server (e.g. /etc/init.d/exim restart). It is strongly advised\n"
Index: pykota/trunk/po/it/pykota.po
===================================================================
--- pykota/trunk/po/it/pykota.po (revision 2080)
+++ pykota/trunk/po/it/pykota.po (revision 2092)
@@ -1583,5 +1583,5 @@
 "  \n"
 "  NB : For pkmail to work correctly, you may have to put the 'mail'\n"
-"  system user in the 'lpadmin' system group to ensure this user can\n"
+"  system user in the 'pykota' system group to ensure this user can\n"
 "  read the /etc/pykota/pykotadmin.conf file, and restart your\n"
 "  mail server (e.g. /etc/init.d/exim restart). It is strongly advised\n"